﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerManager : MonoBehaviour
{
    public static PlayerManager Instance = null;

    MeshRenderer car1Renderer;
    MeshRenderer car2Renderer;
    MeshRenderer car3Renderer;
    MeshRenderer car4Renderer;

    public float currentCar;
    public float m_Hue;
    public float m_Saturation;
    public float m_Value;

    void Awake()
    {
        SetInstance();

        GameObject car1 = GameObject.Find("Car1");
        GameObject car2 = GameObject.Find("Car2");
        GameObject car3 = GameObject.Find("Car3");
        GameObject car4 = GameObject.Find("Car4");

        car1Renderer = car1.GetComponentInChildren<MeshRenderer>();
        car2Renderer = car2.GetComponentInChildren<MeshRenderer>();
        car3Renderer = car3.GetComponentInChildren<MeshRenderer>();
        car4Renderer = car4.GetComponentInChildren<MeshRenderer>();
    }

    void SetInstance()
    {
        if (Instance == null)
        {
            Instance = this;
        }
        else if (Instance != this)
        {
            Destroy(gameObject);
        }

        DontDestroyOnLoad(gameObject);
    }

    void Update()
    {
        switch (currentCar)
        {
            case 1:
                car1Renderer.enabled = true;
                car2Renderer.enabled = false;
                car3Renderer.enabled = false;
                car4Renderer.enabled = false;
                break;
            case 2:
                car1Renderer.enabled = false;
                car2Renderer.enabled = true;
                car3Renderer.enabled = false;
                car4Renderer.enabled = false;
                break;
            case 3:
                car1Renderer.enabled = false;
                car2Renderer.enabled = false;
                car3Renderer.enabled = true;
                car4Renderer.enabled = false;
                break;
            case 4:
                car1Renderer.enabled = false;
                car2Renderer.enabled = false;
                car3Renderer.enabled = false;
                car4Renderer.enabled = true;
                break;
        }
    }

}
